from django.db.models import Q
from asterisk.callerid.base import BaseCallerID
from organization.models import Organization, Contact

class CallerID(BaseCallerID):
    def __init__(self, callerid, prefix):
        phone = Q(phone=callerid)
        phone2 = Q(phone2=callerid)
        mobile = Q(mobile=callerid)
        fax = Q(fax=callerid)

        try:
            org = Organization.objects.filter(phone|phone2|fax)[0]
            name = '%s' % org.name
        except:
            try:
                contact = Contact.objects.filter(phone|mobile|fax)[0]
                name = '%s %s' % (contact.first_name, contact.last_name)
            except:
                name = ''

        super(CallerID, self).__init__(name, callerid, prefix)

