from django.utils.translation import ugettext_lazy as _

from admin_tools.dashboard import modules

class AsteriskDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': "Asterisks",
            'display': "tabs",
            'children': [
                AsteriskModels(),
                AsteriskOtherModels(),
                AsteriskSettings(),
            ]
        }
        super(AsteriskDashboard, self).__init__(**kwargs)

class AsteriskModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Models"),
            'models': ('asterisk.models.AsteriskAddressBook', 'asterisk.models.Cdr'),
        }
        super(AsteriskModels, self).__init__(**kwargs)

class AsteriskOtherModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Others"),
            'models': (
                'asterisk.models.AsteriskProfile', 'asterisk.models.UnitCost',
                'asterisk.models.Record', 'asterisk.models.Prefix', 'asterisk.models.Fare'
            ),
        }
        super(AsteriskOtherModels, self).__init__(**kwargs)

class AsteriskSettings(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Settings"),
            'models': ('asterisk.models.Settings',),
        }
        super(AsteriskSettings, self).__init__(**kwargs)
