from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user

def get_root_menu(children):
    user = get_current_user()
    if not user.has_perm("asterisk.view_cdr") and not user.has_perm("asterisk.view_record"):
        return None

    if user.has_perm("asterisk.view_cdr"):
        url = reverse('admin:asterisk_cdr_changelist')

    elif user.has_perm("asterisk.view_record"):
        url = reverse('admin:asterisk_record_changelist')

    root_menu = items.MenuItem(
        title=_('Asterisk'),
        children=[],
        url = url
    )
    children.append(root_menu)

def add_extended_menuitems(children, current_app):
    gm = GenericMenuItem(current_app, [])
    user = get_current_user()

    user_profile = items.MenuItem(
        title=_('User Profile'),
        children=[],
        url = reverse('admin:asterisk_asteriskprofile_changelist')
    )

    addressbook = items.MenuItem(
        title=_('Address Book'),
        children=[],
        url = reverse('admin:asterisk_asteriskaddressbook_changelist')
    )

    cdr = items.MenuItem(
        title=_('Phone Calls'),
        children=[],
        url = reverse('admin:asterisk_cdr_changelist')
    )

    record = items.MenuItem(
        title=_('Records'),
        children=[],
        url = reverse('admin:asterisk_record_changelist')
    )

    status_phone = items.MenuItem(
        title=_('Status Phone'),
        children=[],
        url = reverse('asterisk-status-phones-popup')
    )

    fare = items.MenuItem(
        title=_('Fare'),
        children=[],
        url = reverse('admin:asterisk_fare_changelist')
    )
    report_call_cost = items.MenuItem(
        title=_('Report Call Cost'),
        children=[],
        url = reverse('admin:asterisk_centro_costo_report')
    )

    #list_transit.open_in_popup = True
    # PERMESSI
    if user.has_perm("asterisk.view_asteriskprofile"):
        gm.add_father(user_profile)
    if user.has_perm("asterisk.view_asteriskaddressbook"):
        gm.add_father(addressbook)
    if user.has_perm("asterisk.view_cdr") or user.has_perm("asterisk.change_cdr"):
        gm.add_father(cdr)
    if user.has_perm("asterisk.view_record") or user.has_perm("asterisk.change_record"):
        gm.add_father(record)
    if user.has_perm("asterisk.view_status_phone"):
        gm.add_father(status_phone)
    if user.has_perm("asterisk.view_callcost"):
        gm.add_father(fare)
        gm.add_father(report_call_cost)

    menu = gm.get_menu()
    [ children.append(ast_menu) for ast_menu in menu ]

