from django.core.management.base import BaseCommand, CommandError
from optparse import make_option
from django.conf import settings
from django.utils.importlib import import_module

MODULE_NAME = getattr(settings, 'ASTERISK_GET_CALLERID_MODULE', 'asterisk.callerid.jumbo')

class Command(BaseCommand):
    help = "Returns the associated callerid name"
    option_list = BaseCommand.option_list + (
        make_option('-c', '--callerid', default='', dest='callerid', help='the CALLERID'),
        make_option('-p', '--prefix', default='', dest='prefix', help='the CALLERID prefix'),
    )

    def handle(self, *args, **options):
        callerid = options.get('callerid', '')
        prefix = options.get('prefix', '')
        module = import_module(MODULE_NAME)
        id = module.CallerID(callerid, prefix)
        print id

