# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'Cdr.callcost_currency'
        db.add_column('asterisk_cdr', 'callcost_currency', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True), keep_default=False)


    def backwards(self, orm):
        
        # Deleting field 'Cdr.callcost_currency'
        db.delete_column('asterisk_cdr', 'callcost_currency')


    models = {
        'asterisk.asteriskaddressbook': {
            'Meta': {'object_name': 'AsteriskAddressBook'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_internal': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'phone_number': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'})
        },
        'asterisk.asteriskprofile': {
            'Meta': {'object_name': 'AsteriskProfile'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal_number': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'})
        },
        'asterisk.cdr': {
            'Meta': {'object_name': 'Cdr'},
            'accountcode': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'amaflags': ('django.db.models.fields.IntegerField', [], {}),
            'billsec': ('django.db.models.fields.IntegerField', [], {}),
            'callcost': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '9', 'decimal_places': '2', 'blank': 'True'}),
            'callcost_currency': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'calldate': ('django.db.models.fields.DateTimeField', [], {}),
            'calldate_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'calldate_time': ('django.db.models.fields.TimeField', [], {'null': 'True', 'blank': 'True'}),
            'channel': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'clid': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dcontext': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'disposition': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dst': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dstchannel': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lastapp': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'lastdata': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'src': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'uniqueid': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'userfield': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'asterisk.fare': {
            'Meta': {'object_name': 'Fare'},
            'connection_fee': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '9', 'decimal_places': '2', 'blank': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'asterisk_fare_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'asterisk_fare_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'prefix': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'fares'", 'symmetrical': 'False', 'to': "orm['asterisk.Prefix']"}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'symbol_currency': ('django.db.models.fields.CharField', [], {'default': "'\\xe2\\x82\\xac'", 'max_length': '5'})
        },
        'asterisk.prefix': {
            'Meta': {'object_name': 'Prefix'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'asterisk_prefix_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'asterisk_prefix_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'prefix': ('django.db.models.fields.IntegerField', [], {}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'asterisk.record': {
            'Meta': {'ordering': "('-ts',)", 'object_name': 'Record'},
            'callee': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'caller': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'recall': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            'recin': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'record': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'recout': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'ts': ('django.db.models.fields.DateTimeField', [], {}),
            'ts_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'ts_time': ('django.db.models.fields.TimeField', [], {'null': 'True', 'blank': 'True'})
        },
        'asterisk.settings': {
            'Meta': {'object_name': 'Settings'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'asterisk_settings_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'asterisk_settings_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '500', 'null': 'True', 'blank': 'True'})
        },
        'asterisk.unitcost': {
            'Meta': {'object_name': 'UnitCost'},
            'cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '9', 'decimal_places': '2'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'asterisk_unitcost_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'fare': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'costs'", 'to': "orm['asterisk.Fare']"}),
            'hour_from': ('django.db.models.fields.TimeField', [], {}),
            'hour_to': ('django.db.models.fields.TimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'asterisk_unitcost_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['asterisk']
