# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from asterisk.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Settings'
        db.create_table('asterisk_settings', (
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('type', models.CharField(max_length=20, verbose_name=_("Type"))),
            ('description', models.TextField(null=True, verbose_name="Description", blank=True)),
            ('value', models.CharField(max_length=500, null=True, verbose_name="Value", blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, verbose_name="Name")),
        ))
        db.send_create_signal('asterisk', ['Settings'])
        
        # Adding model 'AsteriskAddressBook'
        db.create_table('asterisk_asteriskaddressbook', (
            ('phone_number', models.CharField(max_length=10, verbose_name=_('phone number'))),
            ('user', models.ForeignKey(orm['auth.User'], null=True, verbose_name=_("user"), blank=True)),
            ('is_internal', models.BooleanField()),
            ('id', models.AutoField(primary_key=True)),
            ('description', models.CharField(max_length=15, verbose_name=_('description'))),
        ))
        db.send_create_signal('asterisk', ['AsteriskAddressBook'])
        
        # Adding model 'AsteriskProfile'
        db.create_table('asterisk_asteriskprofile', (
            ('internal_number', models.CharField(max_length=10, verbose_name=_('internal number'))),
            ('id', models.AutoField(primary_key=True)),
            ('user', models.ForeignKey(orm['auth.User'], verbose_name=_("user"), db_index=True)),
        ))
        db.send_create_signal('asterisk', ['AsteriskProfile'])
        
        # Adding model 'Record'
        db.create_table('records', (
            ('recall', models.CharField(max_length=200, verbose_name='registrazione completa')),
            ('caller', models.CharField(max_length=80, verbose_name='chiamante')),
            ('ts', models.DateTimeField()),
            ('recout', models.CharField(max_length=200, verbose_name='registrazione uscita')),
            ('record', models.AutoField(primary_key=True)),
            ('callee', models.CharField(max_length=80, verbose_name='numero chiamante')),
            ('recin', models.CharField(max_length=200, verbose_name='registrazione ingresso')),
        ))
        db.send_create_signal('asterisk', ['Record'])
        
        # Adding model 'Cdr'
        db.create_table('asterisk_cdr', (
            ('src', models.CharField(max_length=80, verbose_name='numero chiamante')),
            ('userfield', models.CharField(max_length=255, verbose_name='')),
            ('calldate', models.DateTimeField()),
            ('uniqueid', models.CharField(max_length=40, verbose_name='')),
            ('amaflags', models.IntegerField(verbose_name='')),
            ('accountcode', models.CharField(max_length=20, verbose_name='')),
            ('dst', models.CharField(max_length=80, verbose_name='numero chiamato')),
            ('dcontext', models.CharField(max_length=80, verbose_name='contesto')),
            ('lastapp', models.CharField(max_length=80, verbose_name='last application')),
            ('lastdata', models.CharField(max_length=80, verbose_name='last application data')),
            ('clid', models.CharField(max_length=80, verbose_name='chiamante')),
            ('disposition', models.CharField(max_length=80, verbose_name='stato')),
            ('duration', models.IntegerField(verbose_name='durata totale')),
            ('billsec', models.IntegerField(verbose_name='durata chiamata')),
            ('dstchannel', models.CharField(max_length=80, verbose_name='canale destinazione')),
            ('id', models.AutoField(primary_key=True)),
            ('channel', models.CharField(max_length=80, verbose_name='canale sorgente')),
        ))
        db.send_create_signal('asterisk', ['Cdr'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Settings'
        db.delete_table('asterisk_settings')
        
        # Deleting model 'AsteriskAddressBook'
        db.delete_table('asterisk_asteriskaddressbook')
        
        # Deleting model 'AsteriskProfile'
        db.delete_table('asterisk_asteriskprofile')
        
        # Deleting model 'Record'
        db.delete_table('records')
        
        # Deleting model 'Cdr'
        db.delete_table('asterisk_cdr')
        
    
    
    models = {
        'asterisk.settings': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '"Description"', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '"Name"'}),
            'type': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("Type")'}),
            'value': ('models.CharField', [], {'max_length': '500', 'null': 'True', 'verbose_name': '"Value"', 'blank': 'True'})
        },
        'asterisk.asteriskaddressbook': {
            'description': ('models.CharField', [], {'max_length': '15', 'verbose_name': "_('description')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'is_internal': ('models.BooleanField', [], {}),
            'phone_number': ('models.CharField', [], {'max_length': '10', 'verbose_name': "_('phone number')"}),
            'user': ('models.ForeignKey', ['User'], {'null': 'True', 'verbose_name': '_("user")', 'blank': 'True'})
        },
        'asterisk.asteriskprofile': {
            'Meta': {'permissions': '(("can_view_status_phones","Can view status phones"),)'},
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'internal_number': ('models.CharField', [], {'max_length': '10', 'verbose_name': "_('internal number')"}),
            'user': ('models.ForeignKey', ['User'], {'verbose_name': '_("user")', 'db_index': 'True'})
        },
        'auth.user': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'asterisk.record': {
            'Meta': {'db_table': '"records"'},
            'callee': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'numero chiamante'"}),
            'caller': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'chiamante'"}),
            'recall': ('models.CharField', [], {'max_length': '200', 'verbose_name': "'registrazione completa'"}),
            'recin': ('models.CharField', [], {'max_length': '200', 'verbose_name': "'registrazione ingresso'"}),
            'record': ('models.AutoField', [], {'primary_key': 'True'}),
            'recout': ('models.CharField', [], {'max_length': '200', 'verbose_name': "'registrazione uscita'"}),
            'ts': ('models.DateTimeField', [], {})
        },
        'asterisk.cdr': {
            'Meta': {'db_table': '"asterisk_cdr"'},
            'accountcode': ('models.CharField', [], {'max_length': '20', 'verbose_name': "''"}),
            'amaflags': ('models.IntegerField', [], {'verbose_name': "''"}),
            'billsec': ('models.IntegerField', [], {'verbose_name': "'durata chiamata'"}),
            'calldate': ('models.DateTimeField', [], {}),
            'channel': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'canale sorgente'"}),
            'clid': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'chiamante'"}),
            'dcontext': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'contesto'"}),
            'disposition': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'stato'"}),
            'dst': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'numero chiamato'"}),
            'dstchannel': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'canale destinazione'"}),
            'duration': ('models.IntegerField', [], {'verbose_name': "'durata totale'"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'lastapp': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'last application'"}),
            'lastdata': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'last application data'"}),
            'src': ('models.CharField', [], {'max_length': '80', 'verbose_name': "'numero chiamante'"}),
            'uniqueid': ('models.CharField', [], {'max_length': '40', 'verbose_name': "''"}),
            'userfield': ('models.CharField', [], {'max_length': '255', 'verbose_name': "''"})
        }
    }
    
    complete_apps = ['asterisk']
